OpenVDB: DiscreteField< VelGridT, Interpolator > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
DiscreteField< VelGridT, Interpolator > Class Template Reference

Thin wrapper class for a velocity grid. More...

`#include <VelocityFields.h>`

## Public Types
typedef VelGridT::ValueType | VectorType
typedef VectorType::ValueType | ValueType

## Public Member Functions
| BOOST_STATIC_ASSERT (boost::is_floating_point< ValueType >::value)
| DiscreteField (const VelGridT &vel)
const math::Transform & | transform () const
VectorType | operator() (const Vec3d &xyz, ValueType) const
VectorType | operator() (const Coord &ijk, ValueType) const

## Detailed Description

### template<typename VelGridT, typename Interpolator = BoxSampler>
class openvdb::v3_1_0::tools::DiscreteField< VelGridT, Interpolator >

Thin wrapper class for a velocity grid.

Note
  Consider replacing BoxSampler with StaggeredBoxSampler

## Member Typedef Documentation

typedef VectorType::ValueType ValueType

typedef VelGridT::ValueType VectorType

## Constructor & Destructor Documentation

DiscreteField | ( | const VelGridT & | vel | ) |
| inline

## Member Function Documentation

BOOST_STATIC_ASSERT | ( | boost::is_floating_point< ValueType >::value |  | ) |

VectorType operator() | ( | const Vec3d & | xyz,
|  | ValueType |
| ) |  | const
| inline

Returns
  the interpolated velocity at the world space position xyz

VectorType operator() | ( | const Coord & | ijk,
|  | ValueType |
| ) |  | const
| inline

Returns
  the velocity at the coordinate space position ijk

const math::Transform& transform | ( |  | ) | const
| inline

Returns
  const reference to the transform between world and index space

Note
  Use this method to determine if a client grid is aligned with the coordinate space of the velocity grid.

The documentation for this class was generated from the following file:

- VelocityFields.h